<div id="body" class="container-fluid">
    <div class="form-group form-group-sm row mx-n5">
      <div class="col">
        <h6>NCCO Order</h6>
        <div class="row">
          <div class="col">
            <!--<a class="btn btn-sm btn-primary" [routerLink]='["add"]' *ngIf="profile != 'Activator'">-->
            <a class="btn btn-sm btn-primary" [routerLink]='["add"]'>
              New <span class="d-none d-sm-inline">Order</span>
            </a>
            <!--<a class="btn btn-sm btn-primary" [routerLink]='["copy"]'>
            Copy <span class="d-none d-sm-inline">Order</span>
          </a>
          <a class="btn btn-sm btn-primary" [routerLink]='["cancel"]'>
            Cancel <span class="d-none d-sm-inline">Order</span>
          </a>-->
          </div>

          <div class="col">
            <label>Choose Option</label>
            <dx-radio-group #eventRadioGroup
                            id="radio-group-with-selection"
                            [items]="viewOptions"
                            [value]="viewOptions[0]"
                            (onValueChanged)="onValueChanged($event)">
            </dx-radio-group>
          </div>

        </div>
        <div class="form-row text mt-2">
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button id="gridViewSelected"
                    class="btn btn-sm btn-primary btn-block"
                    [disabled]="!selectedItemKeys.length"
                    (click)="onSubmitView($event)">
              View Order
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button id="gridCopySelected"
                    class="btn btn-sm btn-primary btn-block"
                    [disabled]="!selectedItemKeys.length"
                    (click)="onSubmitCopy($event)">
              Copy Order
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-4 col-lg-3">
            <button id="gridCancelSelected"
                    class="btn btn-sm btn-primary btn-block"
                    [disabled]="!selectedItemKeys.length"
                    (click)="onSubmitCancel($event)">
              Cancel Order
            </button>
          </div>
        </div>

        <dx-data-grid #grid id="grid" keyExpr="ordrId" [dataSource]="orderViewDetailsList"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true"
                      (onSelectionChanged)="selectionChangedHandler($event)"
                      (onToolbarPreparing)="onToolbarPreparing($event)"
                      (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                      (onExporting)="onExporting($event)">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-selection mode="single" showCheckBoxesMode="always"></dxo-selection>
          <dxo-paging [pageSize]="50"></dxo-paging>
          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
          <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
          <dxi-column dataField="ordrId" caption="Order ID" alignment="left"></dxi-column>
          <dxi-column dataField="ordrType" caption="Order Type" alignment="left"></dxi-column>
          <dxi-column dataField="prodType" caption="Product Type" alignment="left"></dxi-column>
          <dxi-column dataField="ccsDt" caption="CCD" dataType="date" [format]="{ type: 'MMM/dd/yy' }" alignment="left"></dxi-column>
          <dxi-column dataField="custNme" caption="Customer" alignment="left"></dxi-column>
          <dxi-column dataField="h5AcctNbr" caption="H6" alignment="left"></dxi-column>
          <dxi-column dataField="ctry" caption="Country" alignment="left"></dxi-column>
          <dxi-column dataField="ordrStatus" caption="Order Status" alignment="left"></dxi-column>
          <div *dxTemplate="let data of 'exportTemplate'">
            <button type="button" class="btn btn-sm btn-primary"
                    (click)="grid.instance.exportToExcel(false)">
              Export to Excel
            </button>
          </div>
        </dx-data-grid>
      </div>
    </div>
  </div>
